1. Reservations API
Storyous Public APIs
  • Introduction
  • Merchants API
    • Get merchant and all its places
  • Menu API
    • Get a menu tree
    • Get time-based menu
    • Get Remaining amounts of time-based menu
  • Bills API
    • Get list of payment bills
    • Get detail of a payment bill
  • Delivery API
    • Create an order through delivery API
    • Get status of delivery order
  • Deskview API
    • Get list of desks
    • Get list of sections
    • Get desk view of a place
  • Features API
    • Get list of merchants/places with a feature
  • Hotel accounts integration API
    • Provide list of accounts
    • Write consumed items to hotel account
  • Stocks API
    • Get list of stocks
    • Get list of items
    • Get list of stock ups
    • Get detail of stock up
    • Create new stock up
    • Modify stock up
    • Delete stock up
    • Get list of stock takings
    • Get detail of stock taking
    • Create new stock taking
    • Modify stock taking
    • Delete stock taking
    • Get suppliers
  • Loyalty API
    • Introduction
    • Prepayment
    • Item refunds with credit
    • Get benefit offer
    • Report offer validation error
    • Report benefit usage
    • Get loyalty benefit usages
    • Mark benefit usages as synchronized
  • DataSync
    • Webhook receiving endpoint
      • Receive new or updated records
    • Data domains
      • Stock management
        • Stocks domain
        • StockItemCategories domain
        • StockItems domain
        • StockMovements domain
      • Sales and costs
        • Bills domain
        • BillCosts domain
        • TerminalTransactions domain
        • PaymentTypes domain
        • Loyalty domain
      • Desks
        • DeskSections domain
        • Desks domain
      • Menu
        • ItemCategories domain
        • Items domain
        • PlaceITems domain
      • Merchants
        • Merchants domain
        • Places domain
        • Persons domain
  • Reservations API
    • Create Seated Reservation
      POST
    • Reservation Changed Webhook
  • Schemas
    • Schemas
      • Loyalty api
        • BalanceBenefitOfferRequest
        • ThirdPartyLoyaltyOfferRequest
        • LoyaltyOfferValidationError
        • LoyaltyBenefitUsagesPayload
        • BenefitInput
        • PaidItem
        • Applied Benefits
        • PaymentByBalance
        • UsedBalance
        • LoyaltyOfferResponse
        • MenuProductDefinition
        • UsedGeneralDiscount
        • Prepayment
      • Menu-api
        • TemplateItem
        • TemplateItems
        • TemplateBody
        • DayItems
        • SettingsBody
        • TimeLimit
        • SettingsResponse
        • PlacePricing
        • TemplateResponseItem
      • Desk
      • Section
    • Error
    • PlaceStateInterval
    • OkResponse
    • StateInterval
    • AssignInterval
    • PriceLevels
    • ActiveInterval
    • PlaceValues
    • RentalFee
    • InvoiceLine
    • ShortTermRental
    • Terminal
    • MerchantPricing
    • TemplateResponse
    • PayInvoiceResponse
    • ValidationError
  1. Reservations API

Reservation Changed Webhook

Testing
Webhook
POST
reservationChangedWebhookUrl
Single webhook sent from Reservations-API to Noona whenever a reservation or walk-in seating changes state or changes desks.
For both types (reservation and non-reserved) we will send status of reservation or session with additional information for deskIds to see which ones are occupied or freed. For reservations, reservationId is used as unique identifier. For Walk-ins, use sessionId (for example, if the whole payment session is moved to another table, the sessionId sent will be the same as during initial seating, this way it's understandable that session was moved and not a new walk-in seating happened)
There are cases when payment session might be reopened for additional item payment. In such case, we will have requested this endpoint call twice and the partner should update bills info with new fetch to the bills with the same reservationId.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢204Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://your-api-server.com' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "reservationId": "68f5e28aa483f519641c9d52",
    "status": "seated",
    "deskIds": [
        "11"
    ],
    "placeId": "68f5e28aa483f519641c9d52",
    "occurredAt": "2026-05-13T17:44:23.231Z",
    "type": "reservation"
}'
Response Response Example
{}
Previous
Create Seated Reservation
Next
BalanceBenefitOfferRequest
Built with